	.386
	.model	use32 small

	public	_fabs
	extrn	allerr : proc
	.data
nm	db	"fabs",0

	.code
_fabs:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	qword ptr [ecx]
	fabs
	lea	eax,[nm]
	sub	edx,edx
	call	allerr
	leave
	ret
	end